package cn.reghao.bnt.web.devops.app.model.constant;

/**
 * 部署状态
 *
 * @author reghao
 * @date 2021-11-08 16:35:42
 */
public enum DeployStatus {
    neverDeploy(1, "尚未部署"),
    onDeploying(2, "正在部署"),
    deploySuccess(3, "部署成功"),
    deployFail(4, "部署失败");

    private final Integer code;
    private final String desc;

    DeployStatus(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
